<?php

$type = array
(
    -1 => '全部',
    1 => 'H5',
    2 => '安卓APP',
    3 => '苹果APP',
    4 => '微信小程序',
);
return array
(
    # 表名
    'name' => 'page',
    # 显示给用户看的名称
    'lang' => '页面管理',
    'order' => 10,
    'end' => array
    (
        'update' => 'ad/lib/manage.upPageCache',
        'insert' => 'ad/lib/manage.upPageCache',
    ),
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            //'search'  => 'order',
            'order'     => 'desc',
            //'list'        => true,
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-60',
            'name'      => '页面标题',
            'default'   => '',
            'desc'      => '请输入页面标题',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'key'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '页面标识-可以根据路由获取页面里的广告信息，也可以约定一个标识值，直接通过获取广告的接口来获取信息',
            'default'   => '',
            'desc'      => '页面标识',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'type'      => array
        (
            'type'      => 'int-11',
            'name'      => '页面类型-暂时无用，根据标识取出一条出来',
            'default'   => '-1',
            'desc'      => '请选择页面类型',
            'match'     => 'is_numeric',
            'option'    => $type,
            //'update'    => 'radio',
            //'search'    => 'select',
            //'list'        => true,
        ),
        
        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            //'edit'        => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),

    # request 请求接口定义
    'request' => array
    (
        
    ),
);